package com.cim.idm.framework.orm;

import java.util.ArrayList;
import java.util.List;
import java.util.Map.Entry;
import java.util.Set;

import org.apache.commons.collections4.MapIterator;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.util.LinkedCaseInsensitiveMap;

public class DataAccessHandler
{

	private static Log	log	= LogFactory.getLog(DataAccessHandler.class);

	public static String[][] getStringArrayData(List data)
	{
		if (data == null || data.size() == 0)
		{
			log.warn("RESULT DATA IS EMPTY. RETURN STRING[0][0]");
			return new String[0][0];
		}

		LinkedCaseInsensitiveMap firstList = (LinkedCaseInsensitiveMap) data.get(0);
		int columnCount = firstList.size();

		// size of the array
		String[][] src = new String[data.size()][columnCount];

		for (int i = 0; i < data.size(); i++)
		{

			LinkedCaseInsensitiveMap<Object> orderMap = (LinkedCaseInsensitiveMap<Object>) data.get(i);
//			MapIterator map = orderMap.mapIterator();
			int k = 0;
			for(Entry<String, Object> entry : orderMap.entrySet()) {
				Object Key = entry.getKey();
				Object value = entry.getValue();
				if (value != null)
				{
					src[i][k] = String.valueOf(value);
				}
				else
					src[i][k] = "";

				k++;
			}
			
			
//			while (map.hasNext())
//			{
//				Object Key = map.next();
//				Object value = map.getValue();
//				if (value != null)
//				{
//					src[i][k] = String.valueOf(value);
//				}
//				else
//					src[i][k] = "";
//
//				k++;
//			}
		}

		log.info("Completed to make string array[" + data.size() + "][" + columnCount + "]");

		try
		{
			data.clear();
			firstList.clear();
		} catch (Exception e)
		{}
		return src;
	}

	public static String getColumnListDelimiterComma(Object data)
	{
		List dataList = null;
		try
		{
			dataList = (List) data;
		} catch (Exception e)
		{
			return "";
		}
		StringBuffer columnList = new StringBuffer();
		try
		{
			LinkedCaseInsensitiveMap<Object> orderMap = (LinkedCaseInsensitiveMap<Object>) dataList.get(0);
//			MapIterator map = orderMap.mapIterator();
			orderMap.forEach((key,value) -> {
				columnList.append(key).append(",");
			});
//			while (map.hasNext())
//			{
//				columnList.append(String.valueOf(map.next())).append(",");
//			}
		} catch (Exception e)
		{
			// log.error(e);
		}
		try
		{
			return columnList.toString().substring(0, columnList.toString().length() - 1);
		} catch (Exception e)
		{
			return "";
		}
	}

	public static List getColumnList(List dataList)
	{
		List<String> columnList = new ArrayList();
		try
		{
			LinkedCaseInsensitiveMap<Object> orderMap = (LinkedCaseInsensitiveMap<Object>) dataList.get(0);
//			MapIterator map = orderMap.mapIterator();
			orderMap.forEach((key,value) -> {
				columnList.add(key);
			});
//			while (map.hasNext())
//			{
//				columnList.add(String.valueOf(map.next()));
//			}
			return columnList;
		} catch (Exception e)
		{
			// log.error(e);
		}
		return columnList;
	}

}
