package com.cim.idm.framework.orm.info.access;

import java.util.HashMap;
import java.util.Map;

import com.cim.idm.framework.util.object.ObjectUtil;

public class ObjectValueUserColumnsAccessor extends FieldAccessor{
	protected Map<String, Object> objectValueUserColumns ;
	
	public ObjectValueUserColumnsAccessor(){
		objectValueUserColumns = new HashMap<String, Object>();
	}
	
	public Map<String, Object> getUserColumns()
	{
		return this.objectValueUserColumns;
	}

	public Map<String, Object> getObjectValueUserColumns()
	{
		return this.objectValueUserColumns;
	}
	
	public void setObjectValueUserColumns(Map<String,Object> userColumns)
	{
		this.objectValueUserColumns = userColumns;
	}
	
	
	public void setUserColumns(ObjectValueUserColumnsAccessor udfAccessor)
	{
		objectValueUserColumns = udfAccessor.getUserColumns();
	}

	public void setUserColumns(Map<String, ?> userColumns)
	{
		ObjectUtil.setObjectValueUserColumns(this.objectValueUserColumns, userColumns);
	}
	
}
