package com.cim.idm.framework.tool.logger;

import java.util.Comparator;

public class LogComparator implements Comparator<BpelLoggingEntity>
{

	private String			sortingKey		= "startTimeLong";

	public static String	SORT_ELAPSETIME	= "elapseTime";
	public static String	SORT_SQLCNT		= "sqlCnt";
	public static String	SORT_STARTTIME	= "startTimeLong";

	public void setSortingKey(String key)
	{
		this.sortingKey = key;
	}

	public int compare(BpelLoggingEntity o1, BpelLoggingEntity o2)
	{
		if (sortingKey.equalsIgnoreCase(SORT_ELAPSETIME))
		{
			return Integer.valueOf(o1.elapseTime) - Integer.valueOf(o2.elapseTime);
		}
		else if (sortingKey.equalsIgnoreCase(SORT_SQLCNT))
		{
			return Integer.valueOf(o1.sqlCnt) - Integer.valueOf(o2.sqlCnt);
		}
		else
		{
			return String.valueOf(((BpelLoggingEntity) o1).startTimeLong).compareTo(
				String.valueOf(((BpelLoggingEntity) o2).startTimeLong));
		}
	}

	public boolean equals(Object o)
	{
		return true;
	}

}
