package com.cim.idm.framework.transaction;

/**
 ****************************************************************************
 *  PACKAGE : com.cim.idm.framework.esb <br>
 *  NAME    : Queue.java <br>
 *  TYPE    : JAVA <br>
 *  DESCRIPTION : interface plays a role that send a request to the server via send message.
 *
 ****************************************************************************
 */


public interface IDMFrameTransactionManager extends TransactionManager
{
	public void beginTransaction( int timeout );
	public void beginTransaction( PropagationBehavior propagation );
	public void beginTransaction( PropagationBehavior propagation, int timeout );
	public void beginTransaction( IsolationLevel isolationLevel );
	public void beginTransaction( IsolationLevel isolationLevel, int timeout );
	public void beginTransaction( PropagationBehavior propagation, IsolationLevel isolationLevel );
	public void beginTransaction( PropagationBehavior propagation, IsolationLevel isolationLevel, int timeout );

	public String getPropagationBehavior();

	public String getIsolationLevel();

	public int getTransactionTimeout();
}
