package com.cim.idm.framework.util.file;

/**
 ****************************************************************************
 *  PACKAGE : com.cim.idm.framework.util.file<br>
 *  NAME    : FileListenerEvent.java<br>
 *  TYPE    : JAVA<br>
 *  DESCRIPTION :
 *
 ****************************************************************************
 */

public class FileListenerEvent
{

	public static final String	FILE_EVENT_TYPE_ADD		= "add";
	public static final String	FILE_EVENT_TYPE_DELETE	= "delete";
	public static final String	FILE_EVENT_TYPE_MODIFY	= "modify";

	private String				_File;
	private String				_EventType				= FILE_EVENT_TYPE_MODIFY;

	public FileListenerEvent(String aFileName, String eventType)
	{
		_File = aFileName;
		_EventType = eventType;
	}

	public String getFile()
	{
		return _File;
	}

	public String getEventType()
	{
		return _EventType;
	}

}