package com.cim.idm.framework.orm;

import java.io.Serializable;

/**
 * A meta attribute is a named value or values.
 */
public class MetaAttribute  implements Serializable {
	
	private String name;
	private Object value;

	public MetaAttribute(String name,Object value) {
		this.name = name;
		this.value = value;
	}
	
	public String getName() {
		return name;
	}	

	public Object getValue() {
		return value;
	}

	public void setValue(Object value) {
		this.value = value;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String toString() {
		return "[" + name + "=" + value + "]";
	}
	
}
