package com.cim.idm.framework.orm.service;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.cim.idm.framework.orm.OrmStandardEngine;
import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.KeyInfo;

/**
 ****************************************************************************
 *  PACKAGE : com.cim.idm.framework.orm.service
 *  NAME    : CommonServiceDAO.java
 *  TYPE    : JAVA
 *  DESCRIPTION : Common Service for the Database Handling
 *
 ****************************************************************************
 */

public class CommonServiceDAO<KEY extends KeyInfo, DATA extends DataInfo> extends OrmStandardEngine<KEY, DATA>
{

	protected Log	log	= LogFactory.getLog(this.getClass());

	public CommonServiceDAO()
	{

	}

}
