/**
 * 
 */
package com.cim.idm.framework.template.workflow;

import org.jdom.Document;
import org.slf4j.MDC;

import com.cim.idm.flowpackage.core.activity.Activity;
import com.cim.idm.flowpackage.core.activity.BpelProcess;
import com.cim.idm.framework.fos.idmflow.BpelExecutionEventAdaptor;
import com.cim.idm.framework.util.xml.JdomUtils;

public class CustomEventAdaptor
		extends BpelExecutionEventAdaptor
{

	@Override
	public void onStart(Activity activity)
	{
		try
		{
			if ( activity instanceof BpelProcess )
			{
				Object[] reqMessages = activity.getBpelExecutionContext().getReqMessages();
				if (reqMessages.length > 0)
				{
					if (reqMessages[0] instanceof Document)
					{
						Document doc = (Document) reqMessages[0];
						MDC.put("NT.TRXID", JdomUtils.getNodeText(doc, "//message/header/transactionid"));
					}
				}
			}
		}
		catch ( Exception e )
		{
		}
		super.onStart(activity);
	}

	
//	@Override
//	public void onEnd(Activity activity)
//	{
//		super.onEnd(activity);
//		
//		if ( activity instanceof BpelProcess )
//		{
//			BpelProcess bpelProcess = (BpelProcess) activity;
//			Object[] reqMessages = bpelProcess.getBpelExecutionContext().getReqMessages();
//			if (reqMessages.length > 0)
//			{
//				if (reqMessages[0] instanceof Document)
//				{
//					Document doc = (Document) reqMessages[0];
//					log.info("END XML : " + JdomUtils.toString(doc));
//				}
//			}
//			log.info("END : " + bpelProcess + ", SUCCESS : " + bpelProcess.isProcessSucceess());
//		}
//	}

}
