package com.cim.idm.framework.tool.logger;

import java.util.Hashtable;

public class AppNamesBpelMap
{

	private Hashtable<String, AppNameBpelMap>	hashTable	= new Hashtable<String, AppNameBpelMap>();

	public void clear()
	{
		hashTable.clear();
	}

	public void addBpelLoggingEntity(String appName, String threadId, BpelLoggingEntity bpelLoggingEntity)
	{
		AppNameBpelMap appNameBpelMap = hashTable.get(appName + "." + threadId);
		if (appNameBpelMap == null)
		{
			appNameBpelMap = new AppNameBpelMap();
			appNameBpelMap.add(bpelLoggingEntity);
			hashTable.put(appName + "." + threadId, appNameBpelMap);
		}
		else
		{
			appNameBpelMap.add(bpelLoggingEntity);
			//hashTable.put(appName, appNameBpelMap);
		}
		bpelLoggingEntity.appName = appName;
		bpelLoggingEntity.threadid = threadId;
	}

	public BpelLoggingEntity getBpelLoggingEntity(String appName, String threadId)
	{
		AppNameBpelMap appNameBpelMap = hashTable.get(appName + "." + threadId);
		if (appNameBpelMap != null)
		{
			return appNameBpelMap.getLastBpelLoggingEntity();
		}
		else
		{
			return null;
		}

	}

	public BpelLoggingEntity remove(String appName, String threadId)
	{
		AppNameBpelMap appNameBpelMap = hashTable.get(appName + "." + threadId);
		if (appNameBpelMap != null)
			return appNameBpelMap.removeLastBpelLoggingEntity();
		else
			return null;
	}

}
