package com.cim.idm.framework.tool.logger;

import java.util.ArrayList;
import java.util.List;

import org.springframework.util.StringUtils;

public class BpelLoggingEntity implements Comparable<BpelLoggingEntity>
{

	public String			elapseTime		= "";
	public String			bpelName		= "";
	//public String 				message = "";
	public String			equipment		= "";
	public String			lotName			= "";
	public boolean			success			= true;

	private String			activityNames	= "";
	public long				startTimeLong	= 0;
	public String			startTime		= "";
	private int				id				= 0;
	public int				sqlCnt			= 0;
	public String			appName			= "";

	public String			threadid		= "";

	private List<String>	logMsgList		= new ArrayList<String>();
	private List<String>	activityMsgList	= new ArrayList<String>();

	public int compareTo(BpelLoggingEntity bpelLoggingEntity)
	{
		//		BpelLoggingEntity otherBpelLoggingEntity = bpelLoggingEntity;		
		//		int comp = 0;
		//		if (this.startTimeLong < otherBpelLoggingEntity.startTimeLong ) {
		//            comp = 1;
		//        } else if (this.startTimeLong > otherBpelLoggingEntity.startTimeLong) {
		//            comp = -1;
		//        }
		//        return comp;
		return 0;
	}

	public List<String> getLogMsgList()
	{
		return this.logMsgList;
	}

	public void add(String log)
	{
		logMsgList.add(log);
	}

	public int getId()
	{
		return this.id;
	}

	public void setId(int id)
	{
		this.id = id;
	}

	public BpelLoggingEntity(int id)
	{
		this.id = id;
	}

	public BpelLoggingEntity()
	{
	}

	public void addActivityHistory(String activityName, int rowCnt, String log)
	{
		activityNames = activityNames + activityName + "{ACTIVITYNAME}";
		activityMsgList.add(log);
	}

	public List<String> getActivityLogDataList()
	{
		return this.activityMsgList;
	}

	public List<String> getActivityList()
	{
		String[] activities = StringUtils.delimitedListToStringArray(activityNames, "{ACTIVITYNAME}");
		List<String> activityList = new ArrayList<String>();
		for (int i = 0; i < activities.length; i++)
		{
			activityList.add(activities[i]);
		}
		return activityList;
	}

}
